import gensim.downloader as api
import stringdist as sdi


class AssociatedWords:

    def __init__(self):
        print("\n Word2Vec model is loading.This can take a couple of minutes.")
        self.model = api.load('glove-twitter-200')
        print(" Word2Vec model is ready. Enjoy!!!\n")

    def get_associated_words(self, word, top_n=10):
        gensim_result = self.model.most_similar(word, topn=top_n)
        # gensim_result = [('apple', 1.0), ('banana', 1.0), ('strawberry', 1.0)]
        words = self.filter_results(gensim_result, word)
        return words

    def filter_results(self, gensim_result, base_word):
        filtered_results = [result_tuple for result_tuple in gensim_result if self.passes_filter(result_tuple[0], base_word)]
        words = [result_tuple[0] for result_tuple in filtered_results]
        return words

    @staticmethod
    def passes_filter(word, base_word):
        if 'www' in word or \
                    word in base_word or \
                    sdi.rdlevenshtein_norm(word, base_word) < 0.5:
                        
            return False
        else:
            return True
